SystemMember (Apache Geode 1.15.4)

org.apache.geode.admin

## Interface SystemMember

- All Known Subinterfaces:
    CacheServer, CacheVm

  Deprecated.
  as of 7.0 use the `management` package instead

      @Deprecated
      public interface SystemMember

  Administrative interface for monitoring a GemFire system member.
  Since:
    GemFire 3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SystemMemberCache` | `getCache()` Deprecated. Returns an object that provides admin access to this member's cache.
    `ConfigurationParameter[]` | `getConfiguration()` Deprecated. Gets the configuration parameters for this member.
    `DistributedMember` | `getDistributedMember()` Deprecated. Returns the `DistributedMember` that represents this system member.
    `AdminDistributedSystem` | `getDistributedSystem()` Deprecated. Gets the `AdminDistributedSystem` this member belongs to.
    `String` | `getHost()` Deprecated. Gets host name of the machine this member resides on.
    `InetAddress` | `getHostAddress()` Deprecated. Gets the host of this member as an `java.net.InetAddress`.
    `String` | `getId()` Deprecated. Gets identifying name of this member.
    `Properties` | `getLicense()` Deprecated. Removed licensing in 8.0.
    `String` | `getLog()` Deprecated. Retrieves the log for this member.
    `String` | `getName()` Deprecated. Retrieves display friendly name for this member.
    `String[]` | `getRoles()` Deprecated. Returns the names of the membership roles filled by this member.
    `StatisticResource[]` | `getStat(String statisticsTypeName)` Deprecated. Retrieves this members statistic resources.
    `StatisticResource[]` | `getStats()` Deprecated. Retrieves this members statistic resources.
    `SystemMemberType` | `getType()` Deprecated. Gets the type of `SystemMemberType` this member is.
    `String` | `getVersion()` Deprecated. Returns this member's GemFire version information.
    `boolean` | `hasCache()` Deprecated. Returns whether or not this system member hosts a GemFire `Cache`.
    `void` | `refreshConfig()` Deprecated. Refreshes this member's configuration from the member or it's properties
    `ConfigurationParameter[]` | `setConfiguration(ConfigurationParameter[] parms)` Deprecated. Sets the configuration of this member.

- - ### Method Detail

    - #### getDistributedSystem

          AdminDistributedSystem getDistributedSystem()

      Deprecated.
      Gets the `AdminDistributedSystem` this member belongs to.
      Returns:
        the `AdminDistributedSystem` this member belongs to

    - #### getId

          String getId()

      Deprecated.
      Gets identifying name of this member. For applications this is the string form of `getDistributedMember()`. For cache servers it is a unique cache server string.
      Returns:
        the identifying name of this member

    - #### getName

          String getName()

      Deprecated.
      Retrieves display friendly name for this member. If this member defined an optional name for its connection to the distributed system, that name will be returned. Otherwise the returned value will be `getId()`.
      Returns:
        the display friendly name for this member
      See Also:
        `DistributedSystem.connect(java.util.Properties)`, `DistributedSystem.getName()`

    - #### getType

          SystemMemberType getType()

      Deprecated.
      Gets the type of `SystemMemberType` this member is.
      Returns:
        the type of `SystemMemberType` this member is

    - #### getHost

          String getHost()

      Deprecated.
      Gets host name of the machine this member resides on.
      Returns:
        the host name of the machine this member resides on

    - #### getHostAddress

          InetAddress getHostAddress()

      Deprecated.
      Gets the host of this member as an `java.net.InetAddress`.
      Returns:
        the host of this member as an `java.net.InetAddress`

    - #### getLog

          String getLog()

      Deprecated.
      Retrieves the log for this member.
      Returns:
        the log for this member

    - #### getLicense

          @Deprecated
          Properties getLicense()

      Deprecated. Removed licensing in 8.0.
      Returns the GemFire license this member is using.
      Returns:
        the GemFire license this member is using

    - #### getVersion

          String getVersion()

      Deprecated.
      Returns this member's GemFire version information.
      Returns:
        this member's GemFire version information

    - #### getConfiguration

          ConfigurationParameter[] getConfiguration()

      Deprecated.
      Gets the configuration parameters for this member.
      Returns:
        the configuration parameters for this member

    - #### setConfiguration

          ConfigurationParameter[] setConfiguration(ConfigurationParameter[] parms)
                                             throws AdminException

      Deprecated.
      Sets the configuration of this member. The argument is an array of any and all configuration parameters that are to be updated in the member.

      The entire array of configuration parameters is then returned.

      Parameters:
        `parms` - subset of the configuration parameters to be changed
      Returns:
        all configuration parameters including those that were changed
      Throws:
        `AdminException` - if this fails to make the configuration changes

    - #### refreshConfig

          void refreshConfig()
                      throws AdminException

      Deprecated.
      Refreshes this member's configuration from the member or it's properties
      Throws:
        `AdminException` - if an exception is encountered

    - #### getStat

          StatisticResource[] getStat(String statisticsTypeName)
                               throws AdminException

      Deprecated.
      Retrieves this members statistic resources. If the member is not running then an empty array is returned.
      Parameters:
        `statisticsTypeName` - String ame of the Statistics Type
      Returns:
        array of runtime statistic resources owned by this member
      Throws:
        `AdminException` - if an exception is encountered
      Since:
        GemFire 5.7

    - #### getStats

          StatisticResource[] getStats()
                                throws AdminException

      Deprecated.
      Retrieves this members statistic resources. If the member is not running then an empty array is returned. All Stats are returned
      Returns:
        array of runtime statistic resources owned by this member
      Throws:
        `AdminException` - if an exception is encountered

    - #### hasCache

          boolean hasCache()
                    throws AdminException

      Deprecated.
      Returns whether or not this system member hosts a GemFire `Cache`.
      Returns:
        whether this system member hosts a GemFire `Cache`
      Throws:
        `AdminException` - if an exception is encountered
      See Also:
        `getCache()`

    - #### getCache

          SystemMemberCache getCache()
                              throws AdminException

      Deprecated.
      Returns an object that provides admin access to this member's cache. If the member currently has no cache then `null` is returned.
      Returns:
        an object that provides admin access to this member's cache
      Throws:
        `AdminException` - if an exception is encountered

    - #### getRoles

          String[] getRoles()

      Deprecated.
      Returns the names of the membership roles filled by this member.
      Returns:
        array of string membership role names
      Since:
        GemFire 5.0

    - #### getDistributedMember

          DistributedMember getDistributedMember()

      Deprecated.
      Returns the `DistributedMember` that represents this system member.
      Returns:
        DistributedMember instance representing this system member
      Since:
        GemFire 5.0